/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Copyright 2005 Todd Kulesza
 *
 */

#include <config.h>

#include "plugin.h"

DrivelPlugin*
drivel_plugin_new (void)
{
	DrivelPlugin *plugin;

	plugin = g_new0 (DrivelPlugin, 1);

	plugin->module = NULL;
	plugin->name = NULL;
	plugin->logo = NULL;
	plugin->journals = NULL;

	return plugin;
}

GArray*
drivel_plugin_add_journal (GArray *array, const gchar *journal, const gchar *server)
{
	DrivelJournalPair *pair;

	pair = g_new (DrivelJournalPair, 1);
	pair->journal = g_strdup (journal);
	pair->server = g_strdup (server);
	array = g_array_prepend_val (array, pair);

	return array;
}
