/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Copyright 2005 Todd Kulesza
 *
 */

#ifndef _PLUGIN_H_
#define _PLUGIN_H_

#include <gmodule.h>

#include "drivel_request.h"

typedef struct _DrivelJournalPair DrivelJournalPair;
typedef struct _DrivelPlugin DrivelPlugin;

typedef DrivelPlugin* (* DrivelPluginInitFunc) (GModule *module);

struct _DrivelJournalPair
{
	gchar *journal;
	gchar *server;
};

struct _DrivelPlugin
{
	GModule *module;
	gchar *name;
	gchar *logo;
	GArray *journals;
};

DrivelPlugin*
drivel_plugin_new (void);

GArray*
drivel_plugin_add_journal (GArray *, const gchar *, const gchar *);

/* The following methods must be implemented by all Drivel plugins */

DrivelPlugin*
drivel_plugin_init (GModule *);

DrivelRequest*
drivel_plugin_build_login_request (const gchar *, ...);

#endif /* _PLUGIN_H_ */
